import { env } from "@/env/server"

import CurrentLoadingSpinner from "@/components/Current/LoadingSpinner"
import { FooterDetailsSkeleton } from "@/components/Footer/Details"
import { FooterNavigationSkeleton } from "@/components/Footer/Navigation"

export default function LoadingFooter() {
  if (env.HIDE_FOR_NEXT_RELEASE) {
    return <CurrentLoadingSpinner />
  }
  return (
    <footer>
      <FooterNavigationSkeleton />
      <FooterDetailsSkeleton />
    </footer>
  )
}
